## navit 0.5.0%2bdfsg.1-1maemo1~6534

=== CMakeLists.txt ===
set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.navitproject.navit")
set(MACOSX_BUNDLE_BUNDLE_NAME "Navit")
message(STATUS "Building with CMake V${CMAKE_VERSION}")
project(navit C)

# Workaround for CMake issue 8345 / 9220, see http://trac.navit-project.org/ticket/1041
if(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
  set(CMAKE_CXX_COMPILER CMAKE_CXX_COMPILER-NOTFOUND)
endif(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
if (NOT DISABLE_CXX)
  enable_language(CXX OPTIONAL)
endif(NOT DISABLE_CXX)

cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
set(NAVIT_VERSION_MAJOR "0")
set(NAVIT_VERSION_MINOR "5")
set(NAVIT_VERSION_PATCH "1")
set(PACKAGE_VERSION "${NAVIT_VERSION_MAJOR}.${NAVIT_VERSION_MINOR}.${NAVIT_VERSION_PATCH}")

set(PACKAGE_NAME "navit-git")
set(PACKAGE "navit")
set(PACKAGE_STRING "${PACKAGE} ${PACKAGE_VERSION}")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
include("${PROJECT_SOURCE_DIR}/cmake/navit_macros.cmake")

IF(NOT CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# install path
set(BIN_DIR bin)
set(SHARE_DIR share/navit)
set(LOCALE_DIR share/locale)
set(IMAGE_DIR share/navit/xpm)
set(MAN_DIR share/man/man1)
# LIB_DIR
IF(UNIX AND NOT ANDROID AND NOT APPLE)
    IF (NOT LIBDIR)
        MESSAGE(STATUS "LIBDIR variable is not defined. It will be autodetected now.")
        MESSAGE(STATUS "You can set it manually with -DLIBDIR=<value>")
        # check 64 bit
        IF (CMAKE_SIZEOF_VOID_P EQUAL 4)
            SET(LIB_DIR lib)
            MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
        ELSE (CMAKE_SIZEOF_VOID_P EQUAL 4)
            SET(LIB_DIR lib64)
            MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
        ENDIF (CMAKE_SIZEOF_VOID_P EQUAL 4)
    ELSE (NOT LIBDIR)
        GET_FILENAME_COMPONENT (LIB_DIR ${LIBDIR} NAME)
        MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
    ENDIF (NOT LIBDIR)
ELSE (UNIX AND NOT ANDROID AND NOT APPLE)
    SET(LIB_DIR lib)
ENDIF (UNIX AND NOT ANDROID AND NOT APPLE)

foreach(EXTRA_MODULE ${EXTRA_MODULES})
   add_module(${EXTRA_MODULE} "extra module specified" TRUE)
endforeach()

if (EXTRA_LIBS)
	list(APPEND NAVIT_LIBS ${EXTRA_LIBS})
endif(EXTRA_LIBS)

if (EXTRA_INCLUDES)
    include_directories(${EXTRA_INCLUDES})
endif(EXTRA_INCLUDES)

if (EXTRA_LIBDIR)
    link_directories(${EXTRA_LIBDIR})
endif(EXTRA_LIBDIR)

### Detect environment

add_plugin(support/ezxml "native Glib found" FALSE)
add_plugin(support/glib "native Glib found" FALSE)
add_plugin(support/zlib "native zlib found" FALSE)
add_plugin(support/libpng "native libpng found" FALSE)
add_plugin(support/wordexp "native wordexp found" FALSE)
add_plugin(support/gettext_intl "native libintl found" FALSE)
add_module(font/freetype "freetype not found" FALSE)
add_module(graphics/android "FreeType library not found" FALSE)
add_module(graphics/gd "FreeType library not found" FALSE)
add_module(graphics/gtk_drawing_area "FreeType library not found" FALSE)
add_module(graphics/opengl "FreeType library not found" FALSE)
add_module(graphics/sdl "Required library not found" FALSE)
add_module(graphics/qt_qpainter "Qt libraries not found" FALSE)
add_module(gui/qml "Qt Declarative not found" FALSE)
add_module(gui/gtk "GTK libs not found" FALSE)
add_module(vehicle/gpsd "gpsd lib not found" FALSE)
add_module(vehicle/gypsy "gypsy lib not found" FALSE)
add_module(vehicle/maemo "Default" FALSE)
add_module(binding/win32 "Default" FALSE)
add_module(binding/dbus "dbus-glib-1 not found" FALSE)
add_module(binding/python "python libraries not found" FALSE)
add_module(speech/dbus "dbus-glib-1 not found" FALSE)
add_module(speech/cmdline "neither system() nor CreateProcess() found" FALSE)
add_module(vehicle/gpsd_dbus "dbus-glib-1 not found" FALSE)
add_module(speech/speech_dispatcher "speech_dispatcher lib not found" FALSE)
add_module(autoload/osso "Default" FALSE)
add_module(map/garmin "Garmin library not found" FALSE)
add_feature(USE_NATIVE_LANGUAGE_SUPPORT "Gettext not found and not on Windows" FALSE)
set(CPACK_PROJECT_CONFIG_FILE "${CMAKE_SOURCE_DIR}/cpack.cmake")
set(CPACK_PACKAGE_VENDOR "Navit team")
set(CPACK_PACKAGE_VERSION_MAJOR ${NAVIT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${NAVIT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH "${NAVIT_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/GPL-2")
set(CPACK_NSIS_PACKAGE_NAME "Navit ${PACKAGE_VERSION}")
set(CPACK_PACKAGE_FILE_NAME ${PACKAGE})
set(CPACK_PACKAGE_EXECUTABLES "navit;Navit")
set(CPACK_NSIS_HELP_LINK "http://www.navit-project.org/?page=contact")
set(CPACK_NSIS_URL_INFO_ABOUT "http://www.navit-project.org")
if(WIN32)
    add_feature(USE_NSIS "makensis not found" FALSE)
    FIND_PROGRAM(NSIS_EXECUTABLE NAMES makensis makensis.exe)
    if(NSIS_EXECUTABLE)
        set_with_reason(USE_NSIS "makensis found" TRUE)
    endif(NSIS_EXECUTABLE)

    set(CPACK_GENERATOR ZIP)
    if(USE_NSIS)
        list(APPEND CPACK_GENERATOR NSIS)
    endif(USE_NSIS)
    set(CPACK_PACKAGE_INSTALL_DIRECTORY Navit)
endif(WIN32)
INCLUDE (CPack)

INCLUDE (CheckIncludeFiles)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)
find_package(Glib)
find_package(Gmodule)
find_package(ZLIB)
find_package(Freetype)
find_package(SDL)
find_package(SDL_ttf)
find_package(SDL_image)
find_package(OpenGL)
find_package(GLUT)
find_package(GTK2 2.6 COMPONENTS gtk)
find_package(Gettext)
find_package(PNG)
find_package(DBusGLib)
find_package(PythonLibs)
find_package(OpenSSL)
find_package(Threads)
libfind_pkg_check_modules(FONTCONFIG fontconfig)
#Qt detection
if (NOT DISABLE_QT)
  # Unfortunately, CMake seems to ignore the "OPTIONAL_COMPONENTS" flag,
  # and actually requires all components to be installed. Maybe this can
  # be fixed later...
  find_package(Qt4 4.7 COMPONENTS QtCore OPTIONAL_COMPONENTS QtGui QtXml QtDeclarative QtSvg)
endif (NOT DISABLE_QT)
#pkg-config based detection
find_package(PkgConfig)
if(PKG_CONFIG_FOUND)
   pkg_check_modules(LIBLOCATION liblocation)
   pkg_check_modules(LIBOSSO libosso)
   # Accept even old versions of libgps, because N810 uses an old version (see #1179).
   pkg_check_modules(LIBGPS libgps)
   pkg_check_modules(LIBGPS19 libgps>=2.90)
   # libgpsd<V3.1 is buggy if LC_ALL is set.
   pkg_check_modules(LIBGPS_NEW libgps>=3.1)
   pkg_check_modules(LIBGARMIN libgarmin)
   pkg_check_modules(IMLIB2 imlib2)
   if(IMLIB2_FOUND)
      set(HAVE_IMLIB2 1)
   endif(IMLIB2_FOUND)
endif(PKG_CONFIG_FOUND)
#Simple checks
CHECK_INCLUDE_FILES(wordexp.h HAVE_WORDEXP)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(byteswap.h HAVE_BYTESWAP_H)
CHECK_LIBRARY_EXISTS(gypsy gypsy_control_get_default "" GYPSY_FOUND)
CHECK_INCLUDE_FILES(libspeechd.h HAVE_LIBSPEECHD)
CHECK_INCLUDE_FILES(sys/socket.h HAVE_SOCKET)
CHECK_INCLUDE_FILES(sys/shm.h HAVE_SHMEM)
CHECK_FUNCTION_EXISTS(snprintf   HAVE_SNPRINTF)
if (NOT HAVE_SNPRINTF)
   CHECK_FUNCTION_EXISTS(_snprintf  HAVE_DECL__SNPRINTF)
   if (HAVE_DECL__SNPRINTF)
      set(HAVE_SNPRINTF 1)
   endif(HAVE_DECL__SNPRINTF)
endif(NOT HAVE_SNPRINTF)
CHECK_INCLUDE_FILES(locale.h HAVE_LC_MESSAGES)
CHECK_INCLUDE_FILES(libintl.h HAVE_LIBINTL)
CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(getopt.h HAVE_GETOPT_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
CHECK_SYMBOL_EXISTS(system stdlib.h HAVE_SYSTEM)
CHECK_SYMBOL_EXISTS(CreateProcess windows.h HAVE_CREATEPROCESS)
CHECK_SYMBOL_EXISTS(stpcpy string.h HAVE_STPCPY)
CHECK_FUNCTION_EXISTS(sbrk HAVE_SBRK)
CHECK_FUNCTION_EXISTS(getdelim HAVE_GETDELIM)
CHECK_FUNCTION_EXISTS(getline HAVE_GETLINE)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)


### Configure build
#Required libraries, supplied with navit
if (NOT HAVE_LIBINTL)
   set_with_reason(support/gettext_intl "native libintl missing" TRUE)
   set(USE_LIBGNUINTL TRUE)
else()
   CHECK_LIBRARY_EXISTS(intl libintl_fprintf "" NEEDS_LIBINTL)
   if (NEEDS_LIBINTL)
      list(APPEND NAVIT_LIBS intl)
      set(INTL_LIBS intl)
   endif(NEEDS_LIBINTL)
endif(NOT HAVE_LIBINTL)

if (CMAKE_USE_PTHREADS_INIT)
   if (NOT ANDROID)
      list(APPEND NAVIT_LIBS pthread)
   endif(NOT ANDROID)
endif(CMAKE_USE_PTHREADS_INIT)
if (Glib_FOUND)
   set(HAVE_GLIB 1)
   include_directories(${Glib_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${Glib_LIBRARIES})
else(Glib_FOUND)
   set_with_reason(support/glib "Glib not found" TRUE ${INTL_LIBS})
endif(Glib_FOUND)
if (Gmodule_FOUND)
   set(HAVE_GMODULE 1)
   include_directories(${Gmodule_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${Gmodule_LIBRARIES})
endif(Gmodule_FOUND)
if(ZLIB_FOUND)
   set(HAVE_ZLIB 1)
   include_directories(${ZLIB_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${ZLIB_LIBRARIES})
else(ZLIB_FOUND)
   message(STATUS "using internal zlib")
   set_with_reason(support/zlib "native zlib missing" TRUE)
endif(ZLIB_FOUND)
if(OPENSSL_CRYPTO_LIBRARIES)
   set(HAVE_LIBCRYPTO 1)
   include_directories(${OPENSSL_INCLUDE_DIR})
   list(APPEND NAVIT_LIBS ${OPENSSL_CRYPTO_LIBRARIES})
endif()
if(PNG_FOUND)
   set(HAVE_PNG 1)
   include_directories(${PNG_INCLUDE_DIR})
   list(APPEND NAVIT_LIBS ${PNG_LIBRARIES})
else(PNG_FOUND)
   message(STATUS "using internal libpng")
   set_with_reason(support/libpng "native libpng missing" TRUE)
endif(PNG_FOUND)
if (NOT HAVE_WORDEXP)
   message(STATUS "wordexp.h not found. use internal wordexp")
   set_with_reason(support/wordexp "native wordexp missing" TRUE)
endif()
if (NOT Glib_FOUND)
   set_with_reason(support/ezxml "Glib not found" TRUE)
endif()

if(FREETYPE_FOUND)
   pkg_check_modules(FRIBIDI fribidi)
   pkg_check_modules(FRIBIDI2 fribidi>=0.19.0)
   include_directories(${FREETYPE_INCLUDE_DIRS})
   set_with_reason(font/freetype "freetype found" TRUE "${FREETYPE_LIBRARY};${FONTCONFIG_LDFLAGS};${FRIBIDI_LIBRARIES}")
else(FREETYPE_FOUND)
   MESSAGE("No freetype library found, graphics modules may not be available")
   set_with_reason(graphics/android "FreeType library not found" FALSE)
   set_with_reason(graphics/gd "FreeType library not found" FALSE)
   set_with_reason(graphics/gtk_drawing_area "FreeType library not found" FALSE)
   set_with_reason(graphics/opengl "FreeType library not found" FALSE)
   set_with_reason(graphics/sdl "FreeType library not found" FALSE)
endif(FREETYPE_FOUND)

if(FONTCONFIG_FOUND)
   set(HAVE_FONTCONFIG 1)
endif(FONTCONFIG_FOUND)

if (QT_FOUND)
   if (QT_QTCORE_FOUND AND QT_QTGUI_FOUND AND FREETYPE_FOUND)
      include(${QT_USE_FILE})
      set_with_reason(graphics/qt_qpainter "Qt libraries found" TRUE ${QT_LIBRARIES})

      if (QT_QTDECLARATIVE_FOUND AND QT_QTXML_FOUND)
         set_with_reason(gui/qml "Qt Declarative found" TRUE ${QT_LIBRARIES})
      endif()

      if (QT_QTSVG_FOUND)
         set(HAVE_QT_SVG 1)
      elseif( USE_SVG AND graphics/qt_qpainter)
         message( WARNING "QT compiled without SVG support")
      endif()
   endif()
endif(QT_FOUND)

if(GTK2_FOUND)
   # Include gtk.h with "SYSTEM" to avoid GCC compiler warning for gtkitemfactory.h.
   include_directories(SYSTEM ${GTK2_GTK_INCLUDE_DIR})
   include_directories(${GTK2_INCLUDE_DIRS})
   set(HAVE_GTK2 1)
   set_with_reason(gui/gtk "GTK libs found" TRUE ${GTK2_LIBRARIES})
   if(FREETYPE_FOUND)
      set_with_reason(graphics/gtk_drawing_area "GTK libs found" TRUE ${GTK2_LIBRARIES})
   endif(FREETYPE_FOUND)
endif(GTK2_FOUND)

CHECK_LIBRARY_EXISTS(freeimage FreeImage_Load "" HAVE_FREEIMAGE)
if (USE_OPENGLES OR USE_OPENGLES2)
   CHECK_LIBRARY_EXISTS(EGL eglInitialize "" HAVE_EGL)
endif(USE_OPENGLES OR USE_OPENGLES2)
if (FREETYPE_FOUND)
   if (OPENGL_FOUND AND OPENGL_GLU_FOUND AND GLUT_FOUND AND OPENGL_INCLUDE_DIR)

=== navit/android/CMakeLists.txt ===
if (ANDROID)

   FILE(GLOB SRC_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "src/*/*/*/*")

   foreach ( PERMISSION ${ANDROID_PERMISSIONS})
      set(ANDROID_PERMISSIONS_EXPANDED "${ANDROID_PERMISSIONS_EXPANDED}<uses-permission\tandroid:name=\\\"android.permission.${PERMISSION}\\\"/>" )
   endforeach()

   # Generate Android string resource files from gettext .po.in files.
   # Note: Android language resources should have two letter ISO 639-1 code, and, optionally, iso-3166-1-alpha-2 region code,
   # so we skip all translation files which do not conform these requirements.
   FILE(GLOB POIN_FILES1 RELATIVE ${CMAKE_SOURCE_DIR}/po "${CMAKE_SOURCE_DIR}/po/??.po.in")
   FILE(GLOB POIN_FILES2 RELATIVE ${CMAKE_SOURCE_DIR}/po "${CMAKE_SOURCE_DIR}/po/??_??.po.in")
   set(POIN_FILES ${POIN_FILES1} ${POIN_FILES2})
   foreach (POIN_FILE ${POIN_FILES})
      string(REPLACE ".po.in" "" LANG ${POIN_FILE})
      string(REPLACE "_" "-r" LANG ${LANG})
      set(LANG_RESOURCES ${LANG_RESOURCES} "${CMAKE_CURRENT_BINARY_DIR}/res/values-${LANG}/strings.xml")
      compose_xslt_transform_command(TRANS "${CMAKE_CURRENT_SOURCE_DIR}/po2xml.xslt" "${CMAKE_CURRENT_SOURCE_DIR}/res/values/strings.xml" "${CMAKE_CURRENT_BINARY_DIR}/res/values-${LANG}/strings.xml" "po_file=${CMAKE_SOURCE_DIR}/po/${POIN_FILE}")
      ADD_CUSTOM_COMMAND(
         OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/res/values-${LANG}/strings.xml"
         DEPENDS "${CMAKE_BINARY_DIR}/po/navit.pot" "${CMAKE_SOURCE_DIR}/po/${POIN_FILE}" "${CMAKE_CURRENT_SOURCE_DIR}/po2xml.xslt" "${CMAKE_CURRENT_SOURCE_DIR}/res/values/strings.xml"
         COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/res/values-${LANG}
         ${TRANS}
      )
   endforeach(POIN_FILE ${POIN_FILES})

   add_custom_command (
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/AndroidManifest.xml
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/AndroidManifest.xml.cmake
      COMMAND ${CMAKE_COMMAND} -D SRC=${CMAKE_CURRENT_SOURCE_DIR}/AndroidManifest.xml.cmake
                               -D DST=${CMAKE_CURRENT_BINARY_DIR}/AndroidManifest.xml
                               -D NAME=ANDROID_VERSION_INT
                               -D ANDROID_VERSION_NAME=${PACKAGE_STRING}
                               -D ANDROID_API_VERSION=${ANDROID_API_VERSION}
                               -D ANDROID_PERMISSIONS:string="${ANDROID_PERMISSIONS_EXPANDED}"
                               -D STRIP_M="1"
                               -P ${PROJECT_SOURCE_DIR}/cmake/version.cmake
   )

   add_custom_command (
      OUTPUT build.xml
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/AndroidManifest.xml ${SRC_FILES}
      COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
      COMMAND android update project -t android-${ANDROID_API_VERSION} -p ${CMAKE_CURRENT_BINARY_DIR}
   )

   add_custom_target( android_resources
      DEPENDS build.xml ${MODULES_NAME} ${NAVIT_SUPPORT_LIBS} ${LANG_RESOURCES}
      COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/res/raw/
      COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/libs/${ANDROID_ARCH}
      COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/navit/libnavit.so ${CMAKE_CURRENT_BINARY_DIR}/libs/${ANDROID_ARCH}/
      COMMAND ${CMAKE_COMMAND}
                     -D GLOB_EXP="${PROJECT_BINARY_DIR}/navit/navit*.xml" 
                     -D DST=${CMAKE_CURRENT_BINARY_DIR}/res/raw
                     -P ${PROJECT_SOURCE_DIR}/cmake/copy_files.cmake
      COMMAND ${CMAKE_COMMAND}
                     -D GLOB_EXP="${PROJECT_BINARY_DIR}/navit/xpm/*.png"
                     -D DST=${CMAKE_CURRENT_BINARY_DIR}/res/drawable-nodpi
                     -D LOWER=1
                     -P ${PROJECT_SOURCE_DIR}/cmake/copy_files.cmake
      COMMAND ${CMAKE_COMMAND} 
                     -D GLOB_EXP="${PROJECT_BINARY_DIR}/navit/*/*/.libs/lib[b-z]*.so"
		     -D DST=${CMAKE_CURRENT_BINARY_DIR}/libs/${ANDROID_ARCH}
                     -P ${PROJECT_SOURCE_DIR}/cmake/copy_files.cmake
      COMMAND ${CMAKE_COMMAND} 
                     -D GLOB_EXP="${PROJECT_BINARY_DIR}/po/*.mo" 
                     -D DST=${CMAKE_CURRENT_BINARY_DIR}/res/raw
                     -D LOWER=1
                     -P ${PROJECT_SOURCE_DIR}/cmake/copy_files.cmake
   )
   
   add_dependencies (android_resources images locales ${NAVIT_LIBNAME})
   
   add_custom_target ( apkg
      COMMAND ant debug
   )
   
   add_custom_target ( apkg-release
      COMMAND ant release
   )

   add_dependencies(apkg android_resources)
   add_dependencies(apkg-release android_resources)
   
endif(ANDROID)

=== debian/changelog ===
navit (0.5.0+dfsg.1-1maemo1~6534) unstable; urgency=low

  * new upstrean release 6534

 -- tryagain <tryagain@navit-project.org>  Sat, 16 Jan 2016 13:16:15 -0500 

navit (0.5.0+dfsg.1-1maemo1~6024) unstable; urgency=low

  * new upstream release 6024. locally built 

 -- Gianko <erfabbri@gmail.com>  Mon, 09 Mar 2015 14:06:06 +0100

navit (0.5.0+dfsg.1-1maemo1~6010) unstable; urgency=low

  * new upstream release. locally built

 -- Gianko <erfabbri@gmail.com>  Sat, 31 Jan 2015 02:36:48 +0100

navit (0.5.0+dfsg.1-1maemo1~5890) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  7 Sep 2014 22:49:23 +0200

navit (0.5.0+dfsg.1-1maemo1~5799) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Sat,  5 Jul 2014 22:51:05 +0200

navit (0.5.0+dfsg.1-1maemo1~5760) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Thu, 27 Mar 2014 14:05:06 +0100

navit (0.5.0+dfsg.1-1maemo1~5738) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Fri,  3 Jan 2014 14:25:09 +0100

navit (0.5.0+dfsg.1-1maemo1~5708) unstable; urgency=low

  * new upstream release
  * many updated translations
  * a few bugfixed  

 -- Rainer Dorsch <dev@bokomoko.de>  Thu, 31 Oct 2013 22:29:29 +0100

navit (0.5.0+dfsg.1-1maemo1~5633) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Sat,  7 Sep 2013 18:07:51 +0200

navit (0.5.0+dfsg.1-1maemo1~5560.6) unstable; urgency=low

  * 6th iteration

 -- Rainer Dorsch <dev@bokomoko.de>  Wed,  7 Aug 2013 22:58:39 +0200

navit (0.5.0+dfsg.1-1maemo1~5560.5) unstable; urgency=low

  * fifth iteration

 -- Rainer Dorsch <dev@bokomoko.de>  Wed,  7 Aug 2013 22:56:03 +0200

navit (0.5.0+dfsg.1-1maemo1~5560.4) unstable; urgency=low

  * fourth iteration

 -- Rainer Dorsch <dev@bokomoko.de>  Wed,  7 Aug 2013 22:46:26 +0200

navit (0.5.0+dfsg.1-1maemo1~5560.3) unstable; urgency=low

  * third iteration

 -- Rainer Dorsch <dev@bokomoko.de>  Wed,  7 Aug 2013 22:40:15 +0200

navit (0.5.0+dfsg.1-1maemo1~5560.2) unstable; urgency=low

  * second iteration

 -- Rainer Dorsch <dev@bokomoko.de>  Wed,  7 Aug 2013 22:32:56 +0200

navit (0.5.0+dfsg.1-1maemo1~5560) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  4 Aug 2013 22:23:34 +0200

navit (0.5.0+dfsg.1-1maemo1~5524) unstable; urgency=low

  * new upstream release 

 -- Rainer Dorsch <dev@bokomoko.de>  Sat,  1 Jun 2013 13:07:20 +0200

navit (0.5.0+dfsg.1-1maemo1~5477) unstable; urgency=low

  * new upstream release
  * might have seen some improvements in house number search
  * updated finally version number to 0.5.0 as upstream did long time back

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  5 May 2013 10:26:15 +0200

navit (0.2.0+dfsg.1-1maemo1~5463) unstable; urgency=low

  * new upstream releases
  * mainly enhancements in street search

 -- Rainer Dorsch <dev@bokomoko.de>  Wed,  1 May 2013 17:41:46 +0200

navit (0.2.0+dfsg.1-1maemo1~5427) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Thu,  4 Apr 2013 17:27:42 +0200

navit (0.2.0+dfsg.1-1maemo1~5395) unstable; urgency=low

  * new upstream release
  * mainly improvements in search function

 -- Rainer Dorsch <dev@bokomoko.de>  Sat,  2 Mar 2013 09:13:06 +0100

navit (0.2.0+dfsg.1-1maemo1~5365) unstable; urgency=low

  * new upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  3 Feb 2013 22:04:45 +0100

navit (0.2.0+dfsg.1-1maemo1~5337) unstable; urgency=low

  * New upstream release

 -- Rainer Dorsch <dev@bokomoko.de>  Sat,  5 Jan 2013 10:53:29 +0100

navit (0.2.0+dfsg.1-1maemo1~5283) unstable; urgency=low

  * New Upstream release
  * Upstream fixed several bugs
    * http://trac.navit-project.org/ticket/1053 (routing issue with waypoints)

 -- Rainer Dorsch <dev@bokomoko.de>  Tue,  4 Dec 2012 22:58:00 +0100

navit (0.2.0+dfsg.1-1maemo1~5278.1) unstable; urgency=low

  * Build with more icons
    $ diff rules~ rules
    25,27c25,27
    < DEB_CONFIGURE_EXTRA_FLAGS += --enable-svg2png-scaling="16 24 32 48 64" \
    <                              --enable-svg2png-scaling-flag="16 24 32" \
    <                              --enable-svg2png-scaling-nav="16 32 48 64"
    ---
    > DEB_CONFIGURE_EXTRA_FLAGS += --enable-svg2png-scaling="16 24 32 48 64 72 96" \
    >                              --enable-svg2png-scaling-flag="16 24 32 48 64" \
    >                              --enable-svg2png-scaling-nav="16 32 48 64 72 96"
    $ 

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  2 Dec 2012 12:36:08 +0100

navit (0.2.0+dfsg.1-1maemo1~5278) unstable; urgency=low

  * new upstream release
  * Upstream fixed several bugs 
    * http://trac.navit-project.org/ticket/1081 (missing speedcams)
    * http://trac.navit-project.org/ticket/1040 (better waypoint handling)
    * http://trac.navit-project.org/ticket/985 (wrong scale)

 -- Rainer Dorsch <dev@bokomoko.de>  Sat,  1 Dec 2012 13:50:09 +0100

navit (0.2.0+dfsg.1-1maemo1~5255) unstable; urgency=low

  * new upstream release
  * Makefile.am for icons updated

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  4 Nov 2012 17:02:04 +0100

navit (0.2.0+dfsg.1-1maemo1~5246.4) unstable; urgency=low

  * Build issue in previous iteration

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  7 Oct 2012 23:21:59 +0200

navit (0.2.0+dfsg.1-1maemo1~5246.3) unstable; urgency=low

  * added icons to Makefile.am in desktop_icon.patch

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  7 Oct 2012 23:06:43 +0200

navit (0.2.0+dfsg.1-1maemo1~5246.2) unstable; urgency=low

  * another fix in icon patches

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  7 Oct 2012 22:49:14 +0200

navit (0.2.0+dfsg.1-1maemo1~5246.1) unstable; urgency=low

  * fixed a few icons

 -- Rainer Dorsch <dev@bokomoko.de>  Sun,  7 Oct 2012 20:50:24 +0200

navit (0.2.0+dfsg.1-1maemo1~5246) unstable; urgency=low

  * new upstream release
  * added icons for baker, butcher, cloths, toy



=== debian/control ===
Source: navit
Section: user/navigation
Priority: extra
Maintainer: Rainer Dorsch <dev@bokomoko.de>
XSBC-Original-Maintainer: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 5), cmake, libtool, quilt,
 libdevil-dev, libhildon1-dev, libqt4-dev (>= 4.7),
 libespeak-dev,
 libimlib2-dev, libdbus-1-dev, libxml2-dev, libfribidi-dev, libpq-dev,
 libfreetype6-dev, libfontconfig1-dev,
 libdbus-glib-1-dev,
 libgypsy-dev, liblocation-dev,
 libosso-dev, librsvg2-bin
Standards-Version: 3.8.3
Homepage: http://wiki.navit-project.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/navit.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/navit.git

Package: navit
Section: user/navigation
Architecture: armel i386
Depends: ${shlibs:Depends}, ${misc:Depends}, navit-data (= ${source:Version}),
 navit-gui-internal (= ${binary:Version}) |
 navit-gui-gtk (= ${binary:Version}) |
 navit-gui-qml (= ${binary:Version}),
 libfreetype6 (>=2.3.9-1osso2+0m5.1) |
 libfreetype6-navit
Recommends: location-daemon
Suggests: maptool
Description: Car navigation system with routing engine
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAEOUlEQVRIic2V
 zYtbVRjGn/fcc5PcO8kk00yS+dJOZ6xjp19CbbGWWqGIQqF+QFGkCxHEhXQj
 uBQEd4IuFN0I3aggCoog1JYygpZiK5XWjp3a6kzns5NMJ7lJZnKTe885r4tk
 Piy6sHbh+wf8zsPzPO95iZlx90bcRRYACeD4h295pRnLunOKMehI9734yhvy
 i0/eHzn5aSaZ7+lG1KY7YCnNhVu4cinX1paiJ/Ymc5305GO0c5hc59/hmrY3
 Ar42zt+d5bHfWboOhvqpv4dScQLAQBiCACIIASLQPz+hFAOICO7qxPYhmpxl
 CUBKANAKAIIQP14KbYl0ijIdIhEnaf09j8HNVlgW3BjiLtCMgg1MCBMCgDDY
 3Ge9fdy/cCWs1ti2Ldex25N2Li1yHaarQ2dS6EhSwqWCxwcfkW6MmmwYXsEx
 WINV69lUG730VLQ3a50+r/+o9HuZ/Qup3mnjRYvl2KLnoBg1JaoXl4v5B4fd
 SKewIHQdQYPXqdPQqtVnCxi617KItKbgYnWiNKOTm4PM7iXlk6qRrlEtb4oX
 E5UTpkGmQQCrsOXVGs7olrowxFReT+a5rmw7ItEIIR1q71uxDKYyJb3rD2yS
 UUEcwhBYg80KDgzWUAHqAZeXML9oRi7ZI6OJfCOrN2y3dhwQmW0tlA4AUL0Y
 uXVu16MmaoE1GGtqWt4ZjUqVRyf012f0qXOh7NmmBg4j9xC5nWtraDSXxhmA
 v4jqdG82AkNGAYBRMKvqJufU2cs0NmXmamnqfxzPHtFuluiv68xGXHhXz5xh
 t9fp7Lunx16omoWSySTIlmQUsKru5Hm/7O5U/QcpuxtOmqJJ0O1fA/3yUbZ+
 PpYqe8tVk78+MKwBMVEwjm0lHRjd7AkkgO60XS8X6tU8coKc9O19DZZw81xi
 4fRz+0oRi8+O+uMF3Z2xASwucaMBY8Mo8Kq6HQP2oO/9Vvnp2qRQ/h7u2g1h
 t1iNCi1elhNfHR6+eWCLtRRi3qMGKO4SgEBBqxZrLdmeDWIwx0PzM6d+XZyY
 GS8yc3qYIgnWARXHnNkTW92fX9hvC4lCjZMpGhSiucjEYM2mRWQA1pZNsWyC
 BrJix0ZxXzYsF27mR79vuBsRbefyjcj0t/fXT77+jB13xITH02UOgbjbctax
 qTsuHIvqAW5VMb6wrsZkMJgRrx3Cw1fr73zzZjm5h/yFXdkbLx+SbpR+mFRL
 QVPB2qSiJBlNdc3eWVs2xVxJ3e2UiIANCOhOWXs3k+8VdnZV9m0lFaWrJV1T
 rezWz2C7SEgSTMs+5kqYKUPWfEwZbo9h2UdsJQBjxJ5B1sKwjWqdSVMUYAKt
 7BkBLlGtSnM1GOa5MkZnueaDPv/4vS8/+0CG8xvaYK87F4rRTH/10jGIwKu4
 CJFNIEAbeDUEVtfTz78qjxw9Vq14//H0aI1UR9+Ro8fof31n/wQHkicSsEee
 1AAAAABJRU5ErkJggg==

Package: navit-gui-gtk
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-gtk-drawing-area (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the GTK+ GUI plugin.

Package: navit-gui-internal
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-gtk-drawing-area (= ${binary:Version}) |
 navit-graphics-qt-qpainter (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - internal GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the internal GUI plugin.

Package: navit-gui-qml
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-qt-qpainter (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - QML based GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the QML based GUI plugin.

Package: navit-graphics-gtk-drawing-area
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic gtk-drawing-area plugin to use with GTK+
 aware GUIs plugins.

Package: navit-graphics-qt-qpainter
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - Qt graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic qt-qpainter plugin to use with Qt aware GUIs
 plugins.

Package: navit-data
Architecture: all
Section: misc
Recommends: navit
Description: Car navigation system with routing engine - data files
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the data files for navit.

Package: maptool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: navit
Description: Converts OpenStreetMap maps to Navit
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 This package contains maptool, a tool to convert OpenStreetMap maps to the
 Navit format.

Package: navit-dbg
Architecture: armel i386
Depends: navit
Description: Car navigation system with routing engine
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk
include debian/cmake.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DESTDIR = $(CURDIR)/debian/tmp

# This is to let dpkg-buildflags do its job with CFLAGS
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE=debian -DCMAKE_C_FLAGS_DEBIAN=""

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/opt/navit

export CC=gcc
export CXX=g++
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS_DEBIAN="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	-DCMAKE_CXX_FLAGS_DEBIAN="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_MODULE_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

# Native compiler (for navit/map/garmin/gentypes.c)
DEB_CMAKE_EXTRA_FLAGS += -DNATIVE_CC=gcc

# Fonts
DEB_CMAKE_EXTRA_FLAGS += -Dfont/freetype=TRUE

# svg2png is required to display country flags
DEB_CMAKE_EXTRA_FLAGS += -Dsvg2png_scaling=16,24,32,48,64,72,96 -Dsvg2png_scaling_flag=16,24,32,48,64 -Dsvg2png_scaling_nav=16,32,48,64,72,96
#DEB_CMAKE_EXTRA_FLAGS += -Dsvg2png_scaling=0,16 -Dsvg2png_scaling_flag=0,16 -Dsvg2png_scaling_nav=0,32

# Force svg2png conversion using rsvg-convert since it is the most reliable
# ATM
DEB_CMAKE_EXTRA_FLAGS += -DIMAGE_CONVERTER_SVGZ=rsvg-convert

# Enable GUIs we want
DEB_CMAKE_EXTRA_FLAGS += -Dgui/internal=TRUE

# Bindings
#DEB_CMAKE_EXTRA_FLAGS += -Dbinding/dbus=TRUE
# Pyrhon binding not available through cmake
DEB_CMAKE_EXTRA_FLAGS += -Dbinding/python=FALSE

# Wanted graphic backends
#DEB_CMAKE_EXTRA_FLAGS += -Dgraphics/gtk_drawing_area=TRUE -Dgraphics/qt_qpainter=FALSE -Dgraphics/null=TRUE

# Unwanted graphic backends (yet)
# opengl and sdl backends aren't mature enough
# gd backend segfaults
DEB_CMAKE_EXTRA_FLAGS += -Dgraphics/qt_qpainter=FALSE -Dgraphics/android=FALSE -Dgraphics/gd=FALSE -Dgraphics/sdl=FALSE -Dgraphics/opengl=FALSE

# don't build the samplemap - we don't want to download
# stuff while building...
DEB_CMAKE_EXTRA_FLAGS += -DSAMPLE_MAP=FALSE

# Maps
DEB_CMAKE_EXTRA_FLAGS += -Dmap/garmin=FALSE -Dmap/mg=TRUE -Dmap/binfile=TRUE -Dmap/csv=TRUE -Dmap/shapefile=TRUE

# Vehicles
DEB_CMAKE_EXTRA_FLAGS += -Dvehicle/null=TRUE -Dvehicle/demo=TRUE -Dvehicle/maemo=TRUE

# Enable plugin pedestrian
DEB_CMAKE_EXTRA_FLAGS += -Dplugin/pedestrian=TRUE

# Enable support/shapefile
DEB_CMAKE_EXTRA_FLAGS += -Dsupport/shapefile=TRUE

# Enable libspeechd
#DEB_CMAKE_EXTRA_FLAGS += -Dspeech/speech_dispatcher=TRUE

# Avoid floating point calculation for armel
ifeq ($(DEB_HOST_ARCH), armel)
  DEB_CMAKE_EXTRA_FLAGS += -DAVOID_FLOAT=TRUE
endif

# Prevent installing into lib64 when arch is 64 bits
DEB_CMAKE_EXTRA_FLAGS += -DLIBDIR=lib

# Set maps cache size to 10M instead of default 1M.
DEB_CMAKE_EXTRA_FLAGS += -DCACHE_SIZE=10485760

CFLAGS += -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
        else
                CFLAGS += -O2
                endif


%:
	echo RULES $@

#clean::
#	dh_clean

#build:
#	cmake $(DEB_CMAKE_EXTRA_FLAGS)
#	make all
#	dh_auto_build

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_auto_install
	# Generate icon for Debian menu
#	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps
#	convert $(CURDIR)/navit/xpm/desktop_icons/128x128/navit.png -resize 32x32 $(CURDIR)/debian/tmp/usr/share/pixmaps/navit.xpm

	# Default navit configuration file moved into /etc
	mkdir -p $(CURDIR)/debian/tmp/etc/navit
	mv $(CURDIR)/debian/tmp/usr/share/navit/navit.xml \
	   $(CURDIR)/debian/tmp/etc/navit/
